resolve_output_format {rmarkdown} | R Documentation

## Resolve the output format for an R Markdown document

### Description

Read the YAML metadata (and any common _output.yml file) for the document and return an output format object that can be passed to the `render` function.

### Usage

    resolve_output_format(input, output_format = NULL, output_options = NULL,
      encoding = getOption("encoding"))

### Arguments

`input` | Input file (Rmd or plain markdown)
`output_format` | Name of output format (or `NULL` to use the default format for the input file).
`output_options` | List of output options that should override the options specified in metadata.
`encoding` | The encoding of the input file; see `file`

### Details

This function is useful for front-end tools that need to modify the default behavior of an output format.

### Value

An R Markdown output format definition that can be passed to `render`.

[Package rmarkdown version 1.2 Index]